Open CASCADE Technology: TObj_ModelIterator Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions | Protected Attributes
TObj_ModelIterator Class Reference

`#include <TObj_ModelIterator.hxx>`

Inheritance diagram for TObj_ModelIterator:
[legend]

## Public Member Functions
| TObj_ModelIterator (const Handle< TObj_Model > &theModel)
| Creates Iterator and initialize it by Model`s label. More...
virtual Standard_Boolean | More () const
| Returns True if iteration is not finished and method Value() will give the object. More...
virtual void | Next ()
| Iterates to the next object. More...
virtual Handle< TObj_Object > | Value () const
| Returns current object (or MainObj of Model if iteration has finished) More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Protected Member Functions
virtual void | addIterator (const Handle< TObj_Object > &theObj)
| Add iterator on children of indicated object recursively. More...

## Protected Attributes
Handle< TObj_Object > | myObject
| Current object. More...
TObj_SequenceOfIterator | myIterSeq
| Sequence of iterators in model. More...

## Detailed Description

This class provides an iterator by all objects in the model.

## Constructor & Destructor Documentation

TObj_ModelIterator::TObj_ModelIterator | ( | const Handle< TObj_Model > & | theModel | ) |

Creates Iterator and initialize it by Model`s label.

Constructor

## Member Function Documentation

virtual void TObj_ModelIterator::addIterator | ( | const Handle< TObj_Object > & | theObj | ) |
| protectedvirtual

Add iterator on children of indicated object recursively.

private methods

virtual Standard_Boolean TObj_ModelIterator::More | ( |  | ) | const
| virtual

Returns True if iteration is not finished and method Value() will give the object.

Methods to iterate on objects.

Reimplemented from TObj_ObjectIterator.

virtual void TObj_ModelIterator::Next | ( |  | ) |
| virtual

Iterates to the next object.

Reimplemented from TObj_ObjectIterator.

virtual Handle< TObj_Object > TObj_ModelIterator::Value | ( |  | ) | const
| virtual

Returns current object (or MainObj of Model if iteration has finished)

Reimplemented from TObj_ObjectIterator.

## Field Documentation

TObj_SequenceOfIterator TObj_ModelIterator::myIterSeq
| protected

Sequence of iterators in model.

Handle< TObj_Object > TObj_ModelIterator::myObject
| protected

Current object.

Fields

The documentation for this class was generated from the following file:

- TObj_ModelIterator.hxx